Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetTdlibParameters

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetTdlibParameters

Enclosing class:
  TdApi

public static final class TdApi.SetTdlibParameters extends TdApi.Function<TdApi.Ok>
Sets the parameters for TDLib initialization. Works only when the current authorization state is authorizationStateWaitTdlibParameters.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`apiHash`
Application identifier hash for Telegram API access, which can be obtained at https://my.telegram.org.
`int`
`apiId`
Application identifier for Telegram API access, which can be obtained at https://my.telegram.org.
`String`
`applicationVersion`
Application version; must be non-empty.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`databaseDirectory`
The path to the directory for the persistent database; if empty, the current working directory will be used.
`byte[]`
`databaseEncryptionKey`
Encryption key for the database.
`String`
`deviceModel`
Model of the device the application is being run on; must be non-empty.
`String`
`filesDirectory`
The path to the directory for storing files; if empty, databaseDirectory will be used.
`String`
`systemLanguageCode`
IETF language tag of the user's operating system language; must be non-empty.
`String`
`systemVersion`
Version of the operating system the application is being run on.
`boolean`
`useChatInfoDatabase`
Pass true to keep cache of users, basic groups, supergroups, channels and secret chats between restarts.
`boolean`
`useFileDatabase`
Pass true to keep information about downloaded and uploaded files between application restarts.
`boolean`
`useMessageDatabase`
Pass true to keep cache of chats and messages between restarts.
`boolean`
`useSecretChats`
Pass true to enable support for secret chats.
`boolean`
`useTestDc`
Pass true to use Telegram test environment instead of the production environment.

## Constructor Summary

Constructors
Constructor
Description
`SetTdlibParameters()`
Sets the parameters for TDLib initialization.
`SetTdlibParameters(boolean useTestDc, String databaseDirectory, String filesDirectory, byte[] databaseEncryptionKey, boolean useFileDatabase, boolean useChatInfoDatabase, boolean useMessageDatabase, boolean useSecretChats, int apiId, String apiHash, String systemLanguageCode, String deviceModel, String systemVersion, String applicationVersion)`
Sets the parameters for TDLib initialization.
`SetTdlibParameters(DataInput input)`
Sets the parameters for TDLib initialization.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### useTestDc

public boolean useTestDc
Pass true to use Telegram test environment instead of the production environment.

### databaseDirectory

public String databaseDirectory
The path to the directory for the persistent database; if empty, the current working directory will be used.

### filesDirectory

public String filesDirectory
The path to the directory for storing files; if empty, databaseDirectory will be used.

### databaseEncryptionKey

public byte[] databaseEncryptionKey
Encryption key for the database. If the encryption key is invalid, then an error with code 401 will be returned.

### useFileDatabase

public boolean useFileDatabase
Pass true to keep information about downloaded and uploaded files between application restarts.

### useChatInfoDatabase

public boolean useChatInfoDatabase
Pass true to keep cache of users, basic groups, supergroups, channels and secret chats between restarts. Implies useFileDatabase.

### useMessageDatabase

public boolean useMessageDatabase
Pass true to keep cache of chats and messages between restarts. Implies useChatInfoDatabase.

### useSecretChats

public boolean useSecretChats
Pass true to enable support for secret chats.

### apiId

public int apiId
Application identifier for Telegram API access, which can be obtained at https://my.telegram.org.

### apiHash

public String apiHash
Application identifier hash for Telegram API access, which can be obtained at https://my.telegram.org.

### systemLanguageCode

public String systemLanguageCode
IETF language tag of the user's operating system language; must be non-empty.

### deviceModel

public String deviceModel
Model of the device the application is being run on; must be non-empty.

### systemVersion

public String systemVersion
Version of the operating system the application is being run on. If empty, the version is automatically detected by TDLib.

### applicationVersion

public String applicationVersion
Application version; must be non-empty.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetTdlibParameters

public SetTdlibParameters()
Sets the parameters for TDLib initialization. Works only when the current authorization state is authorizationStateWaitTdlibParameters.

Returns `Ok`

### SetTdlibParameters

public SetTdlibParameters(boolean useTestDc, String databaseDirectory, String filesDirectory, byte[] databaseEncryptionKey, boolean useFileDatabase, boolean useChatInfoDatabase, boolean useMessageDatabase, boolean useSecretChats, int apiId, String apiHash, String systemLanguageCode, String deviceModel, String systemVersion, String applicationVersion)
Sets the parameters for TDLib initialization. Works only when the current authorization state is authorizationStateWaitTdlibParameters.

Returns `Ok`

Parameters:
  `useTestDc` - Pass true to use Telegram test environment instead of the production environment.
  `databaseDirectory` - The path to the directory for the persistent database; if empty, the current working directory will be used.
  `filesDirectory` - The path to the directory for storing files; if empty, databaseDirectory will be used.
  `databaseEncryptionKey` - Encryption key for the database. If the encryption key is invalid, then an error with code 401 will be returned.
  `useFileDatabase` - Pass true to keep information about downloaded and uploaded files between application restarts.
  `useChatInfoDatabase` - Pass true to keep cache of users, basic groups, supergroups, channels and secret chats between restarts. Implies useFileDatabase.
  `useMessageDatabase` - Pass true to keep cache of chats and messages between restarts. Implies useChatInfoDatabase.
  `useSecretChats` - Pass true to enable support for secret chats.
  `apiId` - Application identifier for Telegram API access, which can be obtained at https://my.telegram.org.
  `apiHash` - Application identifier hash for Telegram API access, which can be obtained at https://my.telegram.org.
  `systemLanguageCode` - IETF language tag of the user's operating system language; must be non-empty.
  `deviceModel` - Model of the device the application is being run on; must be non-empty.
  `systemVersion` - Version of the operating system the application is being run on. If empty, the version is automatically detected by TDLib.
  `applicationVersion` - Application version; must be non-empty.

  Returns `Ok`

### SetTdlibParameters

public SetTdlibParameters(DataInput input) throws IOException
Sets the parameters for TDLib initialization. Works only when the current authorization state is authorizationStateWaitTdlibParameters.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`